PHP Manual
Prev |  | Next

# mysql_list_dbs

(PHP 3, PHP 4, PHP 5)

mysql_list_dbs -- List databases available on a MySQL server

## Description

resource mysql_list_dbs ( [resource link_identifier] )

Returns a result pointer containing the databases available from the current mysql daemon.

## Parameters

link_identifier

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If by chance no connection is found or established, an `E_WARNING` level warning is generated.

## Return Values

Returns a result pointer resource on success, or `FALSE` on failure. Use the mysql_tablename() function to traverse this result pointer, or any function for result tables, such as mysql_fetch_array().

## Examples

Example 1. mysql_list_dbs() example
`<?php $link = mysql_connect('localhost', 'mysql_user', 'mysql_password'); $db_list = mysql_list_dbs($link); while ($row = mysql_fetch_object($db_list)) { echo $row->Database . "\n"; } ?>`
The above example will output something similar to:
    database1
    database2
    database3

## Notes

> Note: For downward compatibility, the following deprecated alias may be used: mysql_listdbs()

## See Also

mysql_db_name()
mysql_select_db()

Prev | Home | Next
mysql_insert_id | Up | mysql_list_fields